/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.projectrecord.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.projectrecord.entity.ProjectRecords;
import com.jeeplus.modules.sys.entity.Company;
import com.jeeplus.modules.sys.entity.Office;

import java.util.List;

/**
 * 项目登记DAO接口
 * @author ppt
 * @version 2018-05-02
 */
@MyBatisDao
public interface ProjectRecordsDao extends CrudDao<ProjectRecords> {


    void updateProcessIdAndStatus(ProjectRecords projectRecords);

    void updateSelectiveById(ProjectRecords projectRecords);

    List<ProjectRecords> findListByStatus(ProjectRecords projectRecords);

    void updateSelectiveByProjectId(ProjectRecords records);

    ProjectRecords findUseableByProjectId(String projectId);
    List<ProjectRecords> findPageByRe(ProjectRecords records);
    List<ProjectRecords> findProjectSpecialistAssessList(ProjectRecords records);
    int queryCount(ProjectRecords records);
    int queryCountProjectSpecialistAssess(ProjectRecords records);
    int queryCountByBiddingManagement(ProjectRecords records);
    List<ProjectRecords> findListByBiddingManagement(ProjectRecords records);
    int queryCountByStatus(ProjectRecords records);
    int findByContract(String contractId);

    /**
     * 根据企业id查询企业信息
     * @param id
     * @return
     */
    Office selectCompany(String id);
}